org.apache.cassandra.cql3.statements

## Class ListUsersStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthorizationStatement
    - - org.apache.cassandra.cql3.statements.ListRolesStatement
      - - org.apache.cassandra.cql3.statements.ListUsersStatement

All Implemented Interfaces:
  CQLStatement

    public class ListUsersStatement
    extends ListRolesStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Constructor Summary

Constructors
Constructor and Description
`ListUsersStatement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ResultMessage` `formatResults(java.util.List<RoleResource> sortedRoles)`

### Methods inherited from class org.apache.cassandra.cql3.statements.ListRolesStatement

`checkAccess, execute, validate`

### Methods inherited from class org.apache.cassandra.cql3.statements.AuthorizationStatement

`execute, executeInternal, getBoundTerms, maybeCorrectResource, prepare`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

`getFunctions`

### Constructor Detail

#### ListUsersStatement

    public ListUsersStatement()

### Method Detail

#### formatResults

    protected ResultMessage formatResults(java.util.List<RoleResource> sortedRoles)

Overrides:
  `formatResults` in class `ListRolesStatement`